아마존 검색
Amazon Search는 오가닉 리스팅, 스폰서 배치, 관련 검색어, 페이지네이션 메타데이터를 포함하여 모든 키워드 쿼리에 대한 구조화된 결과를 반환합니다.
Endpoint
섹션 제목: “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 사용자의 SERP API 키(Amazon과 공유됨). |
engine | string | yes | 반드시 amazon이어야 합니다. |
type | string | yes | 반드시 search여야 합니다. |
q | string | yes | 검색 키워드. |
domain | string | no | 마켓플레이스 도메인, 기본값은 amazon.com. |
device | desktop | mobile | no | 시뮬레이션할 디바이스. |
page | integer | no | 결과 페이지 번호. |
Example request
섹션 제목: “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=memory%20card"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "search", "q": "memory card",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'search', q: 'memory card',});
const res = await fetch(url);const data = await res.json();Example response
섹션 제목: “Example response”{ "search_metadata": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "search", "q": "memory card" }, "search_information": { "organic_results_state": "Results for exact spelling", "total_results": 40000, "query_displayed": "memory card" }, "search_results": [ { "position": 1, "product_id": "B08GY9NYRM", "title": "SanDisk 128GB Ultra microSDXC UHS-I Memory Card", "link": "https://www.amazon.com/dp/B08GY9NYRM", "thumbnail": "https://m.media-amazon.com/images/I/71...jpg", "price": "$16.99", "rating": { "rating": "4.8 out of 5 stars", "total_ratings": 412033 } } ], "top_sponsored": [], "related_searches": ["sd card", "micro sd card 128gb"], "pagination": { "current_page": 1, "next_page": 2 }}